Bug 13233 - add '--user=ntpd:ntpd' to NTPD_OPTIONS (/etc/sysconfig/ntpd)
: add '--user=ntpd:ntpd' to NTPD_OPTIONS (/etc/sysconfig/ntpd)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ntpd)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-27 14:11 by
Modified: 2008-04-01 07:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-27 14:11:51
Без опции '--user=ntpd:ntpd' не правильно работает init-скрипт ntpd -- не
работают "ветки" stop|status, т.к. в параметрах вызова функций
stop_daemon|status используется '--expect-user ntpd'.
------- Comment #1 From 2007-10-27 23:08:45 -------
Буду рад патчу или еще более рад передать полномочия по поддержке этого пакета.
------- Comment #2 From 2008-03-27 03:11:38 -------
Ушло в incoming/
------- Comment #3 From 2008-03-29 12:08:10 -------
Starting ntpd service: /usr/sbin/ntpd: Error unknown argument '--user=ntpd:ntpd'
Ну и что это за нахрен?
------- Comment #4 From 2008-03-29 15:27:18 -------
Угу, поймал на ntp-4.2.2-alt2.p4.3.

Насколько понимаю, если бегает под рутом -- то править инитскрипт.
Если оставить инитскрипт с расчётом на privsep -- надо портировать патчи.

Или таки на openntpd.
------- Comment #5 From 2008-03-29 15:41:44 -------
Я так понимаю, ни автор бага, ни майнтейнер не тестировали то, что было 
предложено и было отправлено в Сизиф?
------- Comment #6 From 2008-03-29 15:51:41 -------
Ты абсолютно прав :(
------- Comment #7 From 2008-03-29 15:56:32 -------
(In reply to comment #6)
> Ты абсолютно прав :(

Ну не так, чтоб абсолютно ... ;)

# rpm -qa|grep ntpd
ntpd-4.2.4-alt1.p0
ntpdate-4.2.4-alt1.p0

# ps aux | grep ntp
ntpd  27347 0.0 0.1 11220 1120 ? Ss Mar20 2:03 /usr/sbin/ntpd --user=ntpd:ntpd
------- Comment #8 From 2008-03-29 15:58:15 -------
(In reply to comment #7)
> # ps aux | grep ntp
> ntpd  27347 0.0 0.1 11220 1120 ? Ss Mar20 2:03 /usr/sbin/ntpd --user=ntpd:ntpd
Просьба пояснить.
------- Comment #9 From 2008-03-29 16:03:21 -------
(In reply to comment #8)
> (In reply to comment #7)
> > # ps aux | grep ntp
> > ntpd  27347 0.0 0.1 11220 1120 ? Ss Mar20 2:03 /usr/sbin/ntpd --user=ntpd:ntpd
> Просьба пояснить.

Предложенное решение таки было опробовано (на оригинальном пакете из
Сизифа) и сейчас работает на "боевом" сервере, из пакета собственной
сборки.
------- Comment #10 From 2008-03-29 16:11:41 -------
(In reply to comment #9)
> 
> Предложенное решение таки было опробовано (на оригинальном пакете из
> Сизифа) и сейчас работает на "боевом" сервере, из пакета собственной
> сборки.

Нет, вру. Опробовал на на одной из собственных сборок. 

Т.е. сначала было предложено сделать обновление (см. #11139), а потом уже
добавление параметра --user.
------- Comment #11 From 2008-03-29 18:40:39 -------
Есть предложение в случаях, когда и так ясно, что тот, на кого вешается бага --
загруженный поверх разумного, требовать не исправления, а NMU/передачи пакета.

Это по времени куда эффективней, чем вспоминать-излагать, что за чем надо было
сделать ;)
------- Comment #12 From 2008-03-29 18:53:32 -------
(In reply to comment #11)

К сожалению, я на тот момент тоже был загружен "выше крыши".
Предложение о передаче пакета видел, но отреагировать на него так и не успел. :(

Могу завтра попытаться либо собрать/проверить и отправить в i/S последнюю
версию, либо отправить в i/S то, что работает у меня (если конечно до завтра
мой новый gpg-ключь таки пройдет через incoming %)
------- Comment #13 From 2008-03-30 00:37:53 -------
(In reply to comment #12)
> К сожалению, я на тот момент тоже был загружен "выше крыши".
Догадываюсь... просто раз был пакет, стоило его целиком куда-нить и ссылку.

А так -- мож тебе тоже пригодится:
http://www.linux.kiev.ua/ru/docs/opus/sysadmins-todo/
------- Comment #14 From 2008-04-01 07:09:30 -------
To new maintainer
------- Comment #15 From 2008-04-01 07:10:16 -------
fixed in ntp-4.2.4-alt1.p4